import React from 'react';
import { Marks } from './marks';
import { scaleSqrt, max } from 'd3';

export const BubbleMap = (data, worldAtlas) => {
  const sizeValue = d['Total '];
  const maxRadius = 15;

  const sizeScale = scaleSqrt()
    .domain([0, max(data, sizeValue)])
    .range([0, maxRadius]);
  return (
    <Marks
      worldAtlas={worldAtlas}
      cities={cities}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
    />
  );
};
